Solved Compatablity issue with game of war

July 4, 2015 at 17:19:05
Specs: Android 5
unable to install game of war from play store on tablet. im using android 5 one tablet and andriod 4.2 on the other. play store keeps saying compatability issues. do you know anyway to fix this

See More: Compatablity issue with game of war

Report •

#1
July 5, 2015 at 03:16:14
✔ Best Answer
Your Android version is compatible (Android 2.3 or later is required) but the device (your particular tablet model) is not compatible.

If you downloaded it from Google Play on your tablet it should tell you if it's compatible with that device or not on the download page so you don't waste time downloading if it's not compatible. I assume you didn't see that?

It's annoying I know, but just because the Android version is compatible it doesn't necessarily mean that your tablet's hardware is compatible.

Is there a fix? Yes, you need to buy a compatible tablet, usually that means one which is a well-known brand (usually more expensive ones).

message edited by phil22


Report •
Related Solutions


Ask Question